Subject: I-D Action: draft-ietf-cose-cbor-encoded-cert-03.txt

From: [email-masked]
Date: Mon, 10 Jan 2022 23:30:41 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the CBOR Object Signing and Encryption WG of the IETF.

        Title           : CBOR Encoded X.509 Certificates (C509 Certificates)
        Authors         : John Preuß Mattsson
                          Göran Selander
                          Shahid Raza
                          Joel Höglund
                          Martin Furuhed
	Filename        : draft-ietf-cose-cbor-encoded-cert-03.txt
	Pages           : 57
	Date            : 2022-01-10

Abstract:
   This document specifies a CBOR encoding of X.509 certificates.  The
   resulting certificates are called C509 Certificates.  The CBOR
   encoding supports a large subset of RFC 5280 and all certificates
   compatible with the RFC 7925, IEEE 802.1AR (DevID), CNSA, RPKI, GSMA
   eUICC, and CA/Browser Forum Baseline Requirements profiles.  When
   used to re-encode DER encoded X.509 certificates, the CBOR encoding
   can in many cases reduce the size of RFC 7925 profiled certificates
   with over 50%.  The CBOR encoded structure can alternatively be
   signed directly ("natively signed"), which does not require re-
   encoding for the signature to be verified.  The document also
   specifies C509 COSE headers, a C509 TLS certificate type, and a C509
   file format.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-cose-cbor-encoded-cert/

There is also an HTML version available at:
https://www.ietf.org/archive/id/draft-ietf-cose-cbor-encoded-cert-03.html

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-cose-cbor-encoded-cert-03

Internet-Drafts are also available by rsync at rsync.ietf.org::internet-drafts